cascading.tap.hadoop.io

## Class CombineInputPartitionTupleEntryIterator

- java.lang.Object
- - cascading.tap.hadoop.io.CombineInputPartitionTupleEntryIterator

All Implemented Interfaces:
  java.util.Iterator<Tuple>

    public class CombineInputPartitionTupleEntryIterator
    extends java.lang.Object
    implements java.util.Iterator<Tuple>

### Constructor Summary

Constructors
Constructor and Description
`CombineInputPartitionTupleEntryIterator(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess, Fields sourceFields, Partition partition, java.lang.String parentIdentifier, TupleEntrySchemeIterator childIterator)`

### Method Summary

Methods
`boolean` `hasNext()`
`Tuple` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CombineInputPartitionTupleEntryIterator

    public CombineInputPartitionTupleEntryIterator(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess,
                                           Fields sourceFields,
                                           Partition partition,
                                           java.lang.String parentIdentifier,
                                           TupleEntrySchemeIterator childIterator)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<Tuple>`

#### next

    public Tuple next()

Specified by:
  `next` in interface `java.util.Iterator<Tuple>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<Tuple>`